Bug 1203624 - After chose "no", the virt-install procedure cannot be interrupted and the same question appears again and again.
Summary: After chose "no", the virt-install procedure cannot be interrupted and the sa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst
Version: 6.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: virt-mgr-maint
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 09:48 UTC by Xiaodai Wang
Modified: 2015-03-23 08:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 08:52:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xiaodai Wang 2015-03-19 09:48:11 UTC
Description of problem:
After chose "no", the virt-install procedure cannot be interrupted and the same question appears again and again.

Version-Release number of selected component (if applicable):
libvirt-0.10.2-50.el6.x86_64
python-virtinst-0.600.0-27.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Ensure the img file exist and also used by other domain.
2. Run the following virt-install command.
virt-install -r 1024 --name rhel55_i386 --disk path=/var/lib/libvirt/images/test5.img,size=8 --disk /dev/cdrom,device=cdrom,cache=writethrough --os-variant=rhel5.4 --prompt --debug
3. Choose "no" when the question "Do you really want to use this disk (yes or no)" appears.


Actual results:
The virt-install command cannot be interuppted and ask the same question again and again.

Expected results:
The virt-install command should be interuppted.

Additional info:
# virt-install -r 1024 --name rhel55_i386 --disk path=/var/lib/libvirt/images/test5.img,size=8 --disk /dev/cdrom,device=cdrom,cache=writethrough --os-variant=rhel5.4 --prompt --debug
Tue, 17 Mar 2015 19:25:08 DEBUG    Launched with command line:
/usr/sbin/virt-install -r 1024 --name rhel55_i386 --disk path=/var/lib/libvirt/images/test5.img,size=8 --disk /dev/cdrom,device=cdrom,cache=writethrough --os-variant=rhel5.4 --prompt --debug
Tue, 17 Mar 2015 19:25:08 DEBUG    Requesting libvirt URI default
Tue, 17 Mar 2015 19:25:08 DEBUG    Received libvirt URI qemu:///system
Tue, 17 Mar 2015 19:25:08 DEBUG    Requesting virt method 'hvm', hv type 'default'.
Tue, 17 Mar 2015 19:25:08 DEBUG    Received virt method 'hvm'
Tue, 17 Mar 2015 19:25:08 DEBUG    Hypervisor name is 'kvm'
Tue, 17 Mar 2015 19:25:08 DEBUG    DISPLAY is not set: defaulting to nographics.
Tue, 17 Mar 2015 19:25:08 DEBUG    --graphics compat generated: none
Tue, 17 Mar 2015 19:25:08 DEBUG    Setting os type to 'linux' for variant 'rhel5.4'
Disk /var/lib/libvirt/images/test5.img is already in use by another guest
Do you really want to use this disk (yes or no)
no
Disk /var/lib/libvirt/images/test5.img is already in use by another guest
Do you really want to use this disk (yes or no)
no
Disk /var/lib/libvirt/images/test5.img is already in use by another guest
Do you really want to use this disk (yes or no)
no

Comment 2 Giuseppe Scrivano 2015-03-23 08:52:57 UTC
this is a minor issue that is already fixed upstream.  Closing it.


Note You need to log in before you can comment on or make changes to this bug.